Subject: Compiling errors w/ wu-ftpd-2.4.2-beta-12

From: David Rouleau <[email-masked]>
Date: Tue, 24 Jun 1997 15:11:37 -0400

linux 2.0.27   gcc 2.7.2    binutils 2.6.0.14   libc 5.0.9

Here's what happens when I "build lnx":

--
Making support library.
rm -f libsupport.a
ar cq libsupport.a fnmatch.o strcasestr.o authuser.o
ranlib libsupport.a

Making ftpd.
gcc -O2 -fomit-frame-pointer -I.. -I../support -I/usr/include/bsd
-L../support -
s -o ftpd ftpd.o ftpcmd.o glob.o logwtmp.o popen.o vers.o access.o extensions.o
realpath.o acl.o private.o authenticate.o conversions.o hostacc.o sigfix.o
-lsup
port -lbsd
glob.o: In function `matchdir':
glob.o(.text+0x482): undefined reference to `dirfd'
make: *** [ftpd] Error 1

Making ftpcount.
make: `ftpcount' is up to date.

Making ftpshut.
make: `ftpshut' is up to date.

Making ckconfig.
make: `ckconfig' is up to date.

Links to executables are in bin directory:
size: bin/ftpd: No such file or directory
--

Anyone know what's goin' on?  Should I be using compiling an older ver. of
wu-ftp?

Thanks in advance,
Dave Rouleau

--
David Rouleau                                      <mailto: [email-masked]>
Communications Manager                        Home Page: <http://www.nemi.org>
NEMI, Inc.                                               <Phone: 703-834-2087>
2214 Rock Hill Road, Suite 110                              Fax: 703-834-2735